﻿@model IEnumerable<BO.DataBO>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <title>Data</title>
   
    <link href="../../Content/CSS/styles.css" rel="stylesheet" />
</head>
<body>

    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.UserId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Author)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.PublishedYear)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.AddedAt)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Username)
            </th>
            <th></th>
        </tr>
        @{TempData["Action"] = "DataTable";}
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.UserId)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Author)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.PublishedYear)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.AddedAt)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Username)
                </td>
                <td>
                    @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                    @Html.ActionLink("Details", "Details", new { id = item.Id }) |
                    @Html.ActionLink("Delete", "Delete", new { id = item.Id })
                </td>
            </tr>
        }

    </table>

    <script src="../../Scripts/bootstrap.bundle.min.js"></script>

    <script src="../../Content/JS/scripts.js"></script>
</body>

</html>